#include version.txt

uniform sampler2D particle;
varying vec4 Color;
varying float disc;

void main( void ) {
    if(disc == 1.0) discard;
	  vec4 uv = gl_TextureMatrix[0] * gl_TexCoord[0];
    gl_FragColor = texture2D(particle, uv.xy) * vec4(Color.rgb,1.0); // gl_TexCoord is from the rasterizer
}

